cancel
Showing results for 
Search instead for 
Did you mean: 

Migrating to SFWHA 6.0 W2K8

Hi all,

To migrate from a W2K3 SFWHA 5.1 SP2 cluster environment I am looking for a solution that gives to less impact for users and application.
We run only SQL 2005 and 2008 instances on this cluster. So I was thinking about the solution to  add a W2K8 R2 SFWHA 6.0 node into this existing cluster? Is this possible?

Are there any experiences with 6.0 yet? (possitive and negative?)

 

Ivo

1 Solution

Accepted Solutions
Accepted Solution!

Hi eu22106, It is not

Hi eu22106,

It is not possible to have cluster nodes running different versions of SFW-HA in the same cluster.  SFW-HA 6.0 does offer a rolling upgrade utility that will help minimize downtime for your applications while performing an inplace upgrade of SFW-HA 5.1 SP2 to SFW-HA 6.0.

The rolling upgrade wizard will analyze your specific cluster configuration and create a process to upgrade all nodes in your cluster.  During the process the wizard will move your service groups between the 5.1 SP2 cluster and the 6.0 cluster nodes to minimize downtime for your application. 

The wizard is completely automated and will start/stop the service group and cluster nodes while performing the upgrade of the nodes. 

You can run the rolling upgrade wizard to analyze your cluster and see the report on what it is going to do.  If you don't agree with what it is about to do you can stop the wizard at the report stage and perform the upgrade manually or take a different approach to the upgrade if you would like.

The only thing to keep in mind is that once you tell the roling upgrade wizard to start upgrading the cluster, you should not stop it until it has completed all steps in its plan. 

If the upgrade wizard's plan is not acceptable to you, then you can open a Technical Support case and we will work with you on developing an upgrade plan the meets your specific needs.

Thanks,

Wally

View solution in original post

2 Replies
Accepted Solution!

Hi eu22106, It is not

Hi eu22106,

It is not possible to have cluster nodes running different versions of SFW-HA in the same cluster.  SFW-HA 6.0 does offer a rolling upgrade utility that will help minimize downtime for your applications while performing an inplace upgrade of SFW-HA 5.1 SP2 to SFW-HA 6.0.

The rolling upgrade wizard will analyze your specific cluster configuration and create a process to upgrade all nodes in your cluster.  During the process the wizard will move your service groups between the 5.1 SP2 cluster and the 6.0 cluster nodes to minimize downtime for your application. 

The wizard is completely automated and will start/stop the service group and cluster nodes while performing the upgrade of the nodes. 

You can run the rolling upgrade wizard to analyze your cluster and see the report on what it is going to do.  If you don't agree with what it is about to do you can stop the wizard at the report stage and perform the upgrade manually or take a different approach to the upgrade if you would like.

The only thing to keep in mind is that once you tell the roling upgrade wizard to start upgrading the cluster, you should not stop it until it has completed all steps in its plan. 

If the upgrade wizard's plan is not acceptable to you, then you can open a Technical Support case and we will work with you on developing an upgrade plan the meets your specific needs.

Thanks,

Wally

View solution in original post

Thanks Wally

I will create a support case to find out what the best scenario should be.

But before that... I heard that a W2K3 and W2K8 node can be operational in the same cluster when the SF version is the same. Is that correct. Which would mean that a rolling upgrade would be possible.

Ivo